<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="375:400"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/account_register_top_bg" />

    <com.adealink.weparty.commonui.widget.CommonTopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        app:bar_background="@color/transparent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_hi"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="22dp"
        android:layout_marginTop="20dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start"
        android:includeFontPadding="false"
        android:text="@string/common_hi"
        android:textColor="@color/color_FF1D2129"
        android:textSize="48sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_select_gender"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="22dp"
        android:layout_marginTop="6dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:text="@string/account_register_select_gender"
        android:textColor="@color/color_FF1D2129"
        android:textSize="24sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_hi" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_select_tips"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="22dp"
        android:layout_marginTop="6dp"
        android:ellipsize="end"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:text="@string/account_register_select_gender_tips"
        android:textColor="@color/color_FF4E5969"
        android:textSize="14sp"
        android:visibility="gone"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_select_gender" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_male"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="51dp"
        app:layout_constraintEnd_toStartOf="@id/cl_female"
        app:layout_constraintHorizontal_chainStyle="spread"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_select_tips">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_male"
            android:layout_width="154dp"
            android:layout_height="133dp"
            android:layout_marginTop="44dp"
            android:background="@drawable/account_register_gender_bg"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingTop="65dp"
            android:text="@string/common_male"
            android:textColor="@color/color_FF1D2129"
            android:textSize="24sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_male"
            android:layout_width="109dp"
            android:layout_height="109dp"
            android:scaleType="fitCenter"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/account_male_ic" />

        <com.opensource.svgaplayer.WenextSvgaView
            android:id="@+id/iv_male_anim"
            android:layout_width="112dp"
            android:layout_height="112dp"
            app:autoPlay="false"
            app:fillMode="Forward"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:loopCount="1"
            app:quick_recycle="false"
            app:source="account_male_selected_anim.svga" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_female"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="51dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/cl_male"
        app:layout_constraintTop_toBottomOf="@id/tv_select_tips">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_female"
            android:layout_width="154dp"
            android:layout_height="133dp"
            android:layout_marginTop="44dp"
            android:background="@drawable/account_register_gender_bg"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingTop="65dp"
            android:text="@string/common_female"
            android:textColor="@color/color_FF1D2129"
            android:textSize="24sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_female"
            android:layout_width="109dp"
            android:layout_height="109dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/account_female_ic" />

        <com.opensource.svgaplayer.WenextSvgaView
            android:id="@+id/iv_female_anim"
            android:layout_width="112dp"
            android:layout_height="112dp"
            app:autoPlay="false"
            app:fillMode="Forward"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:loopCount="1"
            app:quick_recycle="false"
            app:source="account_female_selected_anim.svga" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_next"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="22dp"
        android:layout_marginBottom="@dimen/common_button_margin_bottom"
        android:enabled="false"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:text="@string/account_register_next"
        app:textColor="@color/white"
        app:textSize="16sp" />


</androidx.constraintlayout.widget.ConstraintLayout>